# MobileRequestDetector Class Reference
[Various accompanying utilities]

Try to identify mobile device by http headers. More...

List of all members.

## Public Member Functions

| isOperaMini (array $source)
| isMobile (array $source, $checkAccept=false)
| isIphone (array $source)
| isMobileByHttpAccept (array $source)

## Static Public Member Functions

static | create ()

## Static Private Attributes

static | $headers

## Detailed Description

Try to identify mobile device by http headers.

Definition at line 17 of file MobileRequestDetector.class.php.

## Member Function Documentation

static MobileRequestDetector::create | ( |  | ) | `[static]`

Returns:
  MobileRequestDetector

Definition at line 64 of file MobileRequestDetector.class.php.

Referenced by MobileUtils::extractIp(), and MobileUtils::extractUserAgent().

MobileRequestDetector::isIphone | ( | array $ | source | ) |

Definition at line 93 of file MobileRequestDetector.class.php.

Referenced by isMobile().

MobileRequestDetector::isMobile | ( | array $ | source,
|  | $ | checkAccept = `false` |
| ) |  |  |

Definition at line 75 of file MobileRequestDetector.class.php.

References isIphone(), isMobileByHttpAccept(), and isOperaMini().

Here is the call graph for this function:

MobileRequestDetector::isMobileByHttpAccept | ( | array $ | source | ) |

Definition at line 105 of file MobileRequestDetector.class.php.

Referenced by isMobile().

MobileRequestDetector::isOperaMini | ( | array $ | source | ) |

Definition at line 69 of file MobileRequestDetector.class.php.

Referenced by isMobile().

## Member Data Documentation

MobileRequestDetector::$headers`[static, private]`

Definition at line 19 of file MobileRequestDetector.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Mobile/MobileRequestDetector.class.php